Package csb :: Package numeric :: Module integrators :: Class FastLeapFrog

[frames] | no frames]

# Class FastLeapFrog

source code

            object --+
                     |
    AbstractIntegrator --+
                         |
                  LeapFrog --+
                             |
                            FastLeapFrog

Leap Frog integration scheme implementation that calculates position and momenta at unequal times by concatenating the momentum updates of two successive integration steps. WARNING: intermediate points in trajectories obtained by FastLeapFrog.integrate(init_state, length, return_trajectories=True) are NOT to be interpreted as phase-space trajectories, because position and momenta are not given at equal times! In the initial and the final state, positions and momenta are given at equal times.

Nested Classes
Inherited from `AbstractIntegrator`: `__metaclass__`

Instance Methods

AbstractPropagationResult

integrate(self, init_state, length, mass_matrix=None, return_trajectory=False) Integrates equations of motion starting from an initial state a certain number of steps. | source code

Inherited from `LeapFrog`: `integrate_once` Inherited from `AbstractIntegrator`: `__init__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `LeapFrog`: `__abstractmethods__`

Properties
Inherited from `object`: `__class__`

Method Details

### integrate(self, init_state, length, mass_matrix=None, return_trajectory=False)

source code

Integrates equations of motion starting from an initial state a certain number of steps.

Parameters:
  - `init_state` - Initial state from which to start integration
  - `length` - Nubmer of integration steps to be performed
  - `mass_matrix` - Mass matrix
  - `return_trajectory` - Return complete Trajectory instead of the initial and final states only (PropagationResult). This reduces performance.
Returns: AbstractPropagationResult
Overrides: AbstractIntegrator.integrate
  (inherited documentation)